### Enumeration

# Gio EmblemOrigin

since: 2.18

#### Declaration

    enum Gio.EmblemOrigin

#### Description [src]

GEmblemOrigin is used to add information about the origin of the emblem to `GEmblem`.

Available since: 2.18

#### Members

Name | Description
--- | ---
`G_EMBLEM_ORIGIN_UNKNOWN` | Emblem of unknown origin.
`G_EMBLEM_ORIGIN_DEVICE` | Emblem adds device-specific information.
`G_EMBLEM_ORIGIN_LIVEMETADATA` | Emblem depicts live metadata, such as “readonly”
`G_EMBLEM_ORIGIN_TAG` | Emblem comes from a user-defined tag, e.g. set by nautilus (in the future)